/* LOGO STEREO1  */ 
  @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@600&display=swap');
  @import url('https://fonts.googleapis.com/css2?family=Montserrat+Subrayada:wght@700&display=swap');
  
   /* CLASS NECESARIOS  */ 
   
.contenedor1 {
    width: 5%; /* 20% por defecto */
    aspect-ratio: 1 / 1;
    border: 0px solid blue;
    position: relative;
    overflow: visible;
    margin-top: 10%;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
}



    .circulo0 {
        width: 80%; /* 80% por defecto */
        aspect-ratio: 1 / 1;
        background-color: rgba(0, 0, 0, 0.5);
        border-radius: 50%;
        position: absolute;
        top: 50%; /* Pegado al centro vertical del contenedor */
        left: 50%; /* Pegado al centro horizontal del contenedor */
        transform: translate(-50%, -50%); /* Centrar el círculo */
        z-index: 0; /* Posición z detrás de los círculos */
    }

    .circulo1 {
        width: 100%; /* 100% por defecto */
        aspect-ratio: 1 / 1;
        background-color: transparent;
        border-radius: 50%;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%); 
        border: 0.01rem solid white;
        z-index: 2; /* Posición z para el círculo1 */
        position: absolute;
        animation: st1-neon1 8s infinite alternate;
    }


    .circulo2 {
        width: 80%; /* 80% por defecto */
        aspect-ratio: 1 / 1;
        background-color: transparent;
        border-radius: 50%;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        border: 0.005rem solid white;
        z-index: 1;
        animation: st1-neon2 15s infinite alternate;
    }
    
    .contenedor2 {
        width: 45%; /* 50% por defecto */
        aspect-ratio: 1 / 1;
        background-color: transparent;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        text-align: center;
        box-sizing: border-box; /* Incluye el padding en el tamaño total */
        z-index: 3;
        display: flex; /* Para centrar verticalmente */
        justify-content: center; /* Para centrar verticalmente */
        align-items: center; /* Para centrar verticalmente */
        font-family: 'Montserrat', sans-serif;
    }

    .contenedor2 p {
        margin: 0;
        color: white;
        animation:  st1-neon3 20s infinite alternate;
    }

    .contenedor2 span {
        margin: 0;
        color: #ff00ff;
        animation: st1-neon4 3.5s infinite alternate;
    }

 /* ANIMACION NEON STEREO1 */
 
     
 :root {
  /* IMPORTANTE Base font size */
  font-size: 10px;   
  
    /* Set neon logo */
  --neon1-border-color: #28f;     
  --neon2-border-color: #9100d5;
  --neon3-border-color: #2000d5;
  --neon1-text-color: #f40;     
  --neon2-text-color: #240; 
  --neon3-text-color: #0058d5; 
  --neon4-text-color: #ff00ff;
  --neon5-text-color: #6d7798;
  --neon6-text-color: #0a4372;

}  

@keyframes st1-neon1 {
    
    0%, 19%, 21%, 23%, 25%, 54%, 56%, 100% {
      
        text-shadow:
            -0.2rem -0.2rem 1rem #fff,
            0.2rem 0.2rem 1rem #fff,
            0 0 2rem var(--neon1-text-color),
            0 0 4rem var(--neon1-text-color),
            0 0 6rem var(--neon1-text-color),
            0 0 8rem var(--neon1-text-color),
            0 0 10rem var(--neon1-text-color);
        
        box-shadow:
            0 0 .5rem #fff,
            inset 0 0 .5rem #fff,
            0 0 2rem var(--neon1-border-color),
            inset 0 0 2rem var(--neon1-border-color),
            0 0 4rem var(--neon1-border-color),
            inset 0 0 4rem var(--neon1-border-color);        
    }
    
    20%, 24%, 55% {        
        text-shadow: none;
        box-shadow: none;
    }    
}   
 
@keyframes st1-neon2 {
    
    0%, 29%, 31%, 33%, 35%, 74%, 76%, 100% {
      
        text-shadow:
            -0.2rem -0.2rem 1rem #fff,
            0.2rem 0.2rem 1rem #fff,
            0 0 2rem var(--neon2-text-color),
            0 0 4rem var(--neon2-text-color),
            0 0 6rem var(--neon2-text-color),
            0 0 8rem var(--neon2-text-color),
            0 0 10rem var(--neon2-text-color);
        
        box-shadow:
            0 0 .2rem #fff,
            inset 0 0 .2rem #fff,
            0 0 2rem var(--neon2-border-color),
            inset 0 0 1rem var(--neon2-border-color),
            0 0 4rem var(--neon2-border-color),
            inset 0 0 2rem var(--neon2-border-color);        
    }
    
    30%, 34%, 75% {        
        text-shadow: none;
        box-shadow: none;
    }    
} 

 
@keyframes st1-neon3 { /*controla ancho de desfase colores en stereo y 1*/
    
    0%, 29%, 40%, 42%, 49%, 51%, 74%, 76%, 100% {
      
        text-shadow:
            -0.2rem -0.2rem 1rem #fff,-0.4rem 0rem #61ccff,0.4rem 0rem #ff00ff,
            0.2rem 0.2rem 1rem #fff,
            0 0 2rem var(--neon3-text-color),
            0 0 4rem var(--neon3-text-color),
            0 0 6rem var(--neon3-text-color),
            0 0 8rem var(--neon3-text-color),
            0 0 10rem var(--neon3-text-color);
       
    }

    30%, 39%,41%,  50%, 75% {        
        text-shadow: -0.5rem 0rem #61ccff,0.5rem 0rem #ff00ff;
        box-shadow: none;
    }    
} 
 
@keyframes st1-neon4 {
    
    0%, 29%, 40%, 42%, 49%, 51%, 74%, 76%, 100% {
      
        text-shadow:
            -0.2rem -0.2rem 1rem #fff,
            0.2rem 0.2rem 1rem #fff,
            0 0 2rem var(--neon4-text-color),
            0 0 4rem var(--neon4-text-color),
            0 0 6rem var(--neon4-text-color),
            0 0 8rem var(--neon4-text-color),
            0 0 10rem var(--neon4-text-color);
       
    }

    30%, 39%,41%,  50%, 75% {        
        text-shadow: none;
        box-shadow: none;
    }   
    
} 

.st1-letras { /*controla letras stereo.1 del logo*/
  font-family: 'Montserrat Subrayada', sans-serif;
  font-size: 2rem;
  font-weight: 200;
  color: #fff;
  margin: 1% 0 2% 0;
  text-align: center;
  animation:  st1-neon3 20s infinite alternate;  
    }
   
@media only screen and (max-width: 768px) {
  /* Estilos para tablet */
  .contenedor1 {
    width: 15%; /* TABLETS (medida intermedia entre ambos) */
  }
}

@media only screen and (max-width: 480px) {
  /* Estilos para móvil */
  .contenedor1 {
    width: 15%; /* MOVILES */
  }
  .circulo1 {
        border: 0.05rem solid white;
    }
  .circulo2 {
        border: 0.03rem solid white;
    }
  .st1-letras { /*controla letras stereo.1 del logo*/
        font-size: 2rem;  
    } 
    
    
} 